@import url("https://fonts.googleapis.com/css2?family=Nova+Round&display=swap");

body {
  background-image: url("./citynight.gif");
  background-repeat: no-repeat;
  background-attachment: fixed;
  background-size: cover;
  background-color: cadetblue;
  background-position: center center;
  color: white;
  font-family: "Nova Round", cursive;
}

.bg-text {
  background-color: rgb(0, 0, 0);
  background-color: rgba(0, 0, 0, 0.4);
  color: white;
  font-weight: bold;
  font-size: 90px;
  border: 10px solid #f1f1f1;
  border-radius: 50px;
  position: fixed;
  top: 30%;
  left: 50%;
  transform: translate(-50%, -50%);
  z-index: 2;
  width: 700px;
  padding: 20px;
  text-align: center;
}

.light-mode {
  background-image: url("./cityday.jpg");
  color: black;
}

.bio {
  position: absolute;
  bottom: 0;
  background-color: rgb(207, 135, 135);
  background-color: rgba(114, 95, 95, 0.4);
  font-size: 15px;
  border: 3px solid #f1f1f1;
  width: 400px;
  padding: 20px;
  text-align: center;
  border-radius: 50px;
}

.apps {
  position: absolute;
  bottom: 0;
  right: 0;
  background-color: rgb(207, 135, 135);
  background-color: rgba(114, 95, 95, 0.4);
  font-size: 12.4px;
  border: 3px solid #f1f1f1;
  width: 300px;
  height: 260px;
  padding: 20px;
  text-align: center;
  border-radius: 50px;
  margin-bottom: 20px;
}

.apps,
a {
  text-decoration: none;
  color: white;
  text-align: center;
  cursor: pointer;
}

.apps img {
  height: 60px;
  width: 60px;
}

.dlmode {
  bottom: 300px;
  position: absolute;
  background-color: rgb(207, 135, 135);
  background-color: rgba(114, 95, 95, 0.4);
  font-size: 13px;
  border: 3px solid #f1f1f1;
  width: 100px;
  height: 200px;
  padding: 10px;
  text-align: center;
  border-radius: 50px;
}

.sun,
img {
  height: 70px;
  width: 70px;
  cursor: pointer;
}

body {
  padding: 0;
  margin: 0;
  background-color: flex;
  align-items: center;
  justify-content: center;
  min-height: 100vh;
  text-shadow: teal 4, 0, 5;
}

h1 {
  color: rgb(187, 164, 164);
  font-size: 100px;
  font-weight: bold;
  font-family: monospace;
  letter-spacing: 7px;
  cursor: pointer;
  text-align: center;
  margin-top: 100px;
}

h1 span {
  transition: 0.5s linear;
}

h1:hover span:nth-child(1) {
  margin-right: 5px;
}

h1:hover span:nth-child(1):after {
  content: "";
}

h1:hover span:nth-child(2) {
  margin-left: 30px;
}

h1:hover span {
  color: #fff;
  text-shadow: 0 0 10px #fff, 0 0 20px #fff, 0 0 40px #fff;
}

.icon-bar {
  position: fixed;
  top: 7%;
  -webkit-transform: translateY(-50%);
  -ms-transform: translateY(-50%);
  transform: translateY(-50%);
  background-color: chocolate;
}

.icon-bar img {
  display: flexbox;
  text-align: center;
  padding: 10px;
  transition: all 0.3s ease;
  color: white;
  font-size: 20px;
}

.icon-bar img:hover {
  background-color: rgb(54, 196, 148);
}

.ghub {
  color: white;
}

.mode {
  color: white;
}

button {
  font-size: 20px;
  background-image: linear-gradient(cyan, chocolate, green);
  font-family: "Nova Round", cursive;
  border: none;
  width: 6cm;
  height: 1cm;
  cursor: pointer;
}

.profile img {
  height: 200px;
  width: 200px;
}
